Belune

Get Databases

GET
/api/projects/{projectId}/databases
AuthorizationBearer <token>

Personal access token whose scope satisfies read — read, deploy, or write all qualify.

In: header

Path Parameters

projectId*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/databases"
[  {    "backup_command": "string",    "backup_mode": "string",    "container_missing": true,    "container_port": 0,    "cpu_limit": 0,    "created_at": "2019-08-24T14:15:22Z",    "credentials_encrypted": "string",    "data_dir": "string",    "external_access": {      "enabled": true,      "host_port": 0,      "ssh_host": "string",      "ssh_user": "string"    },    "host_port": 0,    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "image": "string",    "image_digest": "string",    "internal_host": "string",    "internal_port": 0,    "memory_limit": 0,    "name": "string",    "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",    "restore_command": "string",    "slug": "string",    "source_kind": "string",    "source_ref": "string",    "status": "string",    "type": "string",    "version": "string",    "volume": {      "name": "string",      "size_bytes": 0    }  }]